# Parma_Watchdog_Library::Pending_Element< Threshold > Class Template Reference

A class for pending watchdog events with embedded links. More...

`#include <pwl.hh>`

Inherits Parma_Watchdog_Library::Doubly_Linked_Object.

List of all members.

## Public Member Functions
| Pending_Element (const Threshold &deadline, const Handler &handler, bool &expired_flag)
| Constructs an element with the given attributes.
void | assign (const Threshold &deadline, const Handler &handler, bool &expired_flag)
| Modifies `*this` so that it has the given attributes.
const Threshold & | deadline () const
| Returns the deadline of the event.
const Handler & | handler () const
| Returns the handler associated to the event.
bool & | expired_flag () const
| Returns a reference to the "event-expired" flag.
bool | OK () const
| Checks if all the invariants are satisfied.

## Detailed Description

### template<typename Threshold>
class Parma_Watchdog_Library::Pending_Element< Threshold >

A class for pending watchdog events with embedded links.

Each pending watchdog event is characterized by a deadline (a positive time interval), an associated handler that will be invoked upon event expiration, and a Boolean flag that indicates whether the event has already expired or not.

The documentation for this class was generated from the following file:

- pwl.hh